## org.hornetq.api.core.client
Interface ClusterTopologyListener

    public interface ClusterTopologyListener

A ClusterTopologyListener

Author:
  tim

Method Summary
`void` `nodeDown(long eventUID, String nodeID)`
`void` `nodeUP(long eventUID, String nodeID, Pair<TransportConfiguration,TransportConfiguration> connectorPair, boolean last)`

Method Detail

### nodeUP

    void nodeUP(long eventUID,
                String nodeID,
                Pair<TransportConfiguration,TransportConfiguration> connectorPair,
                boolean last)

### nodeDown

    void nodeDown(long eventUID,
                  String nodeID)

Copyright © 2009 Red Hat Inc. All Rights Reserved.